# VehiclesPlus
This repository contains the default resourcepacks and vehicle configuration files for VehiclesPlus. Issues for the plugin can also be created in this repository.
* Please join our [Discord](https://discord.gg/R6ax6z2) server for support!
* The [v2 JavaDoc](https://sbdevelopment.tech/javadoc/vehiclesplus/index.html) and [v3 JavaDoc](https://sbdevelopment.tech/javadoc/vehiclesplus-v3/index.html) can both be found on our site.

## License
Please be advised that the materials contained within this repository are subject to the terms and conditions of the Creative Commons Attribution-NoDerivatives 4.0 International License (CC BY-ND 4.0). We kindly request that you review the `LICENSE.md` file, which provides further details regarding the applicable license.

Additionally, please note that the v3 models included in this repository have been created by MelchMwoan (mkmodels.eu) and are subject to specific limitations under the aforementioned license. Redistribution of these models is strictly prohibited without express written consent from the owner.

By accessing or utilizing any of the materials within this repository, you acknowledge and agree to comply with all of the terms and conditions of the applicable license.

## Maven
You can find both the v2 and v3 API on our Maven repository.
```xml
<repository>
  <id>sbdevelopment-repo-releases</id>
  <name>SBDevelopment Repository</name>
  <url>https://repo.sbdevelopment.tech/releases</url>
</repository>

<!-- v2 Dependency -->
<dependency>
  <groupId>nl.sbdeveloper</groupId>
  <artifactId>VehiclesPlus-API</artifactId>
  <version>2.3.5</version>
  <scope>provided</scope>
</dependency>

<!-- V3 Dependency -->
<dependency>
  <groupId>nl.sbdeveloper</groupId>
  <artifactId>VehiclesPlus-API</artifactId>
  <version>3.0.0-SNAPSHOT</version>
  <scope>provided</scope>
</dependency>
```